### Method

# WebKit2 WebsiteDataManager fetch_finish

#### Declaration [src]

    GList*
    webkit_website_data_manager_fetch_finish (
      WebKitWebsiteDataManager* manager,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_website_data_manager_fetch().

Available since: | 2.16

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list of `WebKitWebsiteData*`
| A `GList` of `WebKitWebsiteData`. You must free the `GList` with `g_list_free()` and unref the `WebKitWebsiteData`s with `webkit_website_data_unref()` when you’re done with them.
| The caller of the method takes ownership of the data, and is responsible for freeing it.